package com.jz.dmp.cmdexectool.common.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author ybz
 *
 */
@ApiModel(value = "响应码封装实体", description = "响应码封装实体")
public class BaseResponse {
	//错误码
	@ApiModelProperty(value = "错误码")
	private String code;
	//错误消息
	@ApiModelProperty(value = "错误消息")
	private String message;
	
	public BaseResponse() {}
	
	public BaseResponse(String code) {
		this.code = code;
	}
	
	public BaseResponse(String code, String message) {
		this.code = code;
		this.message = message;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}
	
}
