package com.jz.dmp.cmdexectool.common.constant;

import org.springframework.boot.autoconfigure.couchbase.CouchbaseProperties.Env;

/**
 * @ClassName: CommConstant
 * @Description: TODO(通用常亮)
 * @author ybz
 * @date 2021年1月18日
 *
 */
public class CommConstant {
	
	/***************************************************/
	//重复提交校验token
	public static final String RE_SUBMIT_TOKEN = "resubmitToken";
	
	/***************************************************/
	//MDC
	public static final String TRACE_ID="traceId";
	
	/***************************************************/
	//子任务类型
	public static final String WORK_TYPE_START = "start";//开始任务
	public static final String WORK_TYPE_SHELL = "shell";//shell任务
	public static final String WORK_TYPE_SQL = "sql";//sql任务
	public static final String WORK_TYPE_SYNC = "sync";//离线任务
	public static final String WORK_TYPE_SUBPROCESS = "subprocess";//子流程任务
	public static final String WORK_TYPE_FTP = "ftp";//ftp下载任务
	public static final String WORK_TYPE_UNZIPFILE = "unzipFile";//解压文件任务
	public static final String WORK_TYPE_DOCTRANS = "docTrans";//文件转码任务
	public static final String WORK_TYPE_HDFS = "hdfs";//hdfs上传任务
	public static final String WORK_TYPE_STOP = "stop";//停止任务
	/***************************************************/
	// task_type任务类型
	public static final String TASK_TYPE_DEVELOP = "1";// 开发任务
	public static final String TASK_TYPE_OFFLINE = "2";// 离线任务
	public static final String TASK_TYPE_DEVSHELL = "3";// SHELL任务
	public static final String TASK_TYPE_DEVSQL = "4";// SQL任务
	
	/***************************************************/
	//SQL任务输出类型
	public static final String OUTPUT_TYPE_CONSOLE = "console";//console
	public static final String OUTPUT_TYPE_HDFS = "hdfs";//hdfs
	public static final String OUTPUT_TYPE_TABLE = "table";//table
	public static final String OUTPUT_TYPE_TOPIC = "topic";//topic
	public static final String OUTPUT_TYPE_API = "api";//api
	
	/***************************************************/
	//waterdrop 模板名称
	public static final String WATERDROP_FTL = "waterdrop.ftl";
	public static final String WATERDROP_FTL_ENV = "env.ftl";
	public static final String WATERDROP_FTL_SOURCE_JDBC = "source_jdbc.ftl";
	public static final String WATERDROP_FTL_SOURCE_ELASTICSEARCH = "source_elasticsearch.ftl";
	public static final String WATERDROP_FTL_SOURCE_SFTP = "source_sftp.ftl";
	public static final String WATERDROP_FTL_SOURCE_HIVE = "source_hive.ftl";
	public static final String WATERDROP_FTL_TRANSFORM_SQL = "transform_sql.ftl";
	public static final String WATERDROP_FTL_TRANSFORM_JSON2 = "transform_json2.ftl";
	public static final String WATERDROP_FTL_SINK_CONSOLE = "sink_console.ftl";
	public static final String WATERDROP_FTL_SINK_HDFS = "sink_hdfs.ftl";
	public static final String WATERDROP_FTL_SINK_JDBC = "sink_jdbc.ftl";
	public static final String WATERDROP_FTL_SINK_KAFKA = "sink_kafka.ftl";
	public static final String WATERDROP_FTL_SINK_API = "sink_api.ftl";
	public static final String WATERDROP_FTL_SINK_KUDU = "source_sink_kudu.ftl";
	
	//其他script模板
	public static final String FTL_SFTP_DOWNLOAD = "sftp_download.ftl";//ftp下载
	public static final String FTL_UNZIPFILE = "unzipfile.ftl";//文件解压
	public static final String FTL_DOCTRANS = "doctrans.ftl";//文件转码
	public static final String FTL_HDFS_UPLOAD = "hdfs_upload.ftl";//HDFS上传
	
	/***************************************************/
	//执行引擎
	public static final String EXECUTION_ENGINE_JDBC = "jdbc";//jdbc
	public static final String EXECUTION_ENGINE_SPARK = "spark";//spark
	
}
