package com.jz.dmp.cmdexectool.controller.bean;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.BeanUtils;

import com.jz.dmp.cmdexectool.entity.DmpDevelopTaskHistory;
import com.jz.dmp.cmdexectool.scheduler.server.entity.TaskExecutionContext;

public class MyDmpDevelopTaskHistoryConverter {
	
	private static MyDmpDevelopTaskHistoryConverter instance;
	
	private MyDmpDevelopTaskHistoryConverter() {};
	
	public synchronized static MyDmpDevelopTaskHistoryConverter INSTANCE() {
		if (instance==null) {
			instance = new MyDmpDevelopTaskHistoryConverter();
		}
		
		return instance;
	}
	
	public DmpDevelopTaskHistoryDto domain2dto(DmpDevelopTaskHistory dmpDevelopTaskHistory) {
		DmpDevelopTaskHistoryDto dmpDevelopTaskHistoryDto = new DmpDevelopTaskHistoryDto();
		BeanUtils.copyProperties(dmpDevelopTaskHistory, dmpDevelopTaskHistoryDto);
		
		return dmpDevelopTaskHistoryDto;
	}
	
	public List<DmpDevelopTaskHistoryDto> domain2dto(List<DmpDevelopTaskHistory> dmpDevelopTaskHistorys) {
		List<DmpDevelopTaskHistoryDto> dmpDevelopTaskHistoryDtos = new ArrayList<DmpDevelopTaskHistoryDto>();
		dmpDevelopTaskHistorys.stream().forEach(x -> {
			dmpDevelopTaskHistoryDtos.add(domain2dto(x));
		});
		
		return dmpDevelopTaskHistoryDtos;
	}
	
	public DmpDevelopTaskHistory dto2domain(DmpDevelopTaskHistoryDto dmpDevelopTaskHistoryDto) {
		DmpDevelopTaskHistory dmpDevelopTaskHistory = new DmpDevelopTaskHistory();
		BeanUtils.copyProperties(dmpDevelopTaskHistoryDto, dmpDevelopTaskHistory);
		
		return dmpDevelopTaskHistory;
	}
	
	public List<DmpDevelopTaskHistory> dto2domain(List<DmpDevelopTaskHistoryDto> dmpDevelopTaskHistoryDtos) {
		List<DmpDevelopTaskHistory> dmpDevelopTaskHistorys = new ArrayList<DmpDevelopTaskHistory>();
		dmpDevelopTaskHistoryDtos.stream().forEach(x -> {
			dmpDevelopTaskHistorys.add(domain2dto(x));
		});
		
		return dmpDevelopTaskHistorys;
	}

	/**  
	* @Title: historyDto2taskDto  
	* @Description: TODO(history转Task)  
	* @param @param dmpDevelopTaskHistoryDto
	* @param @return    参数  
	* @return DmpDevelopTaskDto    返回类型  
	* @throws  
	*/ 
	public DmpDevelopTaskDto historyDto2taskDto(DmpDevelopTaskHistoryDto dmpDevelopTaskHistoryDto) {
		DmpDevelopTaskDto dmpDevelopTaskDto = new DmpDevelopTaskDto();
		
		BeanUtils.copyProperties(dmpDevelopTaskHistoryDto, dmpDevelopTaskDto);
		
		return dmpDevelopTaskDto;
	}

}
