package com.jz.dmp.cmdexectool.mapper;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.jz.dmp.cmdexectool.controller.bean.DmpDevelopTaskHistoryDto;
import com.jz.dmp.cmdexectool.entity.DmpDevelopTaskHistory;


/**任务历史版本 mapper
 * @author ybz
 *
 */
public interface DmpDevelopTaskHistoryMapper {
	
	/**新增任务历史版本
     * @param dmpDevelopTaskHistory
     * @return
     * @throws Exception
     */
    public int insert(DmpDevelopTaskHistory dmpDevelopTaskHistory)throws Exception;

    /**选择性增加任务历史版本
     * @param dmpDevelopTaskHistory
     * @return
     * @throws Exception
     */
    public int insertSelective(DmpDevelopTaskHistory dmpDevelopTaskHistory)throws Exception;
    
    /**主键修改任务历史版本
     * @param dmpDevelopTaskHistory
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKey(DmpDevelopTaskHistory dmpDevelopTaskHistory)throws Exception;

    /**选择性修改任务历史版本
     * @param dmpDevelopTaskHistory
     * @return
     * @throws Exception
     */
    public int updateByPrimaryKeySelective(DmpDevelopTaskHistory dmpDevelopTaskHistory)throws Exception;
    
    /**主键查询任务历史版本
     * @param id
     * @return
     * @throws Exception
     */
    public DmpDevelopTaskHistory selectByPrimaryKey(Integer id)throws Exception;

    /**主键删除任务历史版本
     * @param id
     * @return
     * @throws Exception
     */
    public int deleteByPrimaryKey(Integer id)throws Exception;
    
    /**主键软删除任务历史版本
     * @param id
     * @return
     * @throws Exception
     */
    public int softDeleteByPrimaryKey(Integer id)throws Exception;
    
    /**主键删除任务历史版本
     * @param id
     * @return
     * @throws Exception
     */
    public int delete(Map<String, Object> param)throws Exception;
    
    /**主键软删除任务历史版本
     * @param id
     * @return
     * @throws Exception
     */
    public int softDelete(Map<String, Object> param)throws Exception;

	/**条件查询任务历史版本
	 * @param param
	 * @return
	 * @throws Exception
	 */
	public List<DmpDevelopTaskHistoryDto> findList(Map<String, Object> param)throws Exception;

	/**主键查询任务历史版本
	 * @param id
	 * @return
	 * @throws Exception
	 */
	public DmpDevelopTaskHistoryDto findById(Integer id)throws Exception;

	/**批量新增任务历史版本
	 * @param dmpDevelopTaskHistorys
	 * @throws Exception
	 */
	public void insertBatch(List<DmpDevelopTaskHistory> dmpDevelopTaskHistorys)throws Exception;

	/**  
	* @Title: deleteByIds  
	* @Description: TODO(批量删除)  
	* @param @param idList
	* @param @throws Exception    参数  
	* @return void    返回类型  
	* @throws  
	*/ 
	public void deleteByIds(@Param("idList")List<Integer> idList)throws Exception;

	/**  
	* @Title: softDeleteByIds  
	* @Description: TODO(批量软删除)  
	* @param @param idList
	* @param @throws Exception    参数  
	* @return void    返回类型  
	* @throws  
	*/ 
	public void softDeleteByIds(@Param("idList")List<Integer> idList)throws Exception;
	
}
