package com.jz.dmp.cmdexectool.service.sys.impl;

import javax.servlet.http.HttpServletRequest;
import org.springframework.stereotype.Service;

import com.jz.dmp.cmdexectool.common.bean.BaseBeanResponse;
import com.jz.dmp.cmdexectool.common.constant.StatuConstant;
import com.jz.dmp.cmdexectool.common.utils.HttpRequestUtil;
import com.jz.dmp.cmdexectool.service.sys.SystemCommonService;

/**
 * @ClassName: SystemCommonServiceImpl
 * @Description: TODO(公共服务实现类)
 * @author ybz
 * @date 2021年1月25日
 *
 */
@Service
public class SystemCommonServiceImpl implements SystemCommonService {

	/**
	 *获取重复提交校验token
	 */
	@Override
	public BaseBeanResponse<String> getResubmitToken(HttpServletRequest httpRequest) throws Exception {
		BaseBeanResponse<String> baseBeanResponse = new BaseBeanResponse<String>();
		
		String resubmitToken =  HttpRequestUtil.getResubmitToken(httpRequest);
		
		baseBeanResponse.setCode(StatuConstant.SUCCESS_CODE);
		baseBeanResponse.setMessage("获取成功");
		baseBeanResponse.setData(resubmitToken);
		
		return baseBeanResponse;
	}

}
