#!/bin/bash
# 要上传到hdfs的来源目录
src_dir=${src_dir!}
# 要上传的文件类型
file_suffix="${file_suffix!}"
# 要上传到hdfs的目录
des_dir=${des_dir!}

if [ $file_suffix = "" ]; then
  echo "没有后缀"
  filename="*"
else
  filename="*.${file_suffix}"
fi

# 判断 hdfs 文件夹是否存在
su hdfs -c "hdfs dfs -test -e ${des_dir}"

if [ $? -ne 0 ]; then
  echo "====================hdfs 文件夹不存在, 自动创建======================"
  su hdfs -c "hdfs dfs -mkdir -p ${des_dir}"
fi

su hdfs -c "hdfs dfs -put ${src_dir}/${filename} ${des_dir}/"