package com.jz.dmp.cmdexectool.common.bean;

import java.util.List;

/**
 * @author ybz
 *
 */
public class BaseBeanResponse<T> extends BaseResponse {
	
	private T data;
	
	private List<T> datas;
	
	public BaseBeanResponse(){
		super();
	}
	
	public BaseBeanResponse(String code, T data) {
		super(code);
		this.data = data;
	}
	
	public BaseBeanResponse(String code, List<T> datas) {
		super(code);
		this.datas = datas;
	}
	
	public BaseBeanResponse(String code, String message, T data) {
		super(code, message);
		this.data = data;
	}
	
	public BaseBeanResponse(String code, String message, List<T> datas) {
		super(code, message);
		this.datas = datas;
	}

	public T getData() {
		return data;
	}

	public void setData(T data) {
		this.data = data;
	}

	public List<T> getDatas() {
		return datas;
	}

	public void setDatas(List<T> datas) {
		this.datas = datas;
	}
	
}
