package com.jz.dmp.cmdexectool.common.constant;

/**常量
 * @author ybz
 *
 */
public class StatuConstant {
	
	/***************************************************************************/
	/*操作码**/
	public final static String SUCCESS_CODE = "000";
	public final static String SUCCESS_CODE_MSG = "操作成功";
	
	public final static String FAILURE_CODE = "001";
	public final static String FAILURE_CODE_MSG = "操作失败";
	
	/*****************************************************************************/
	
	public static String CODE_ERROR_REQUESTMETHOD = "100";
	public static String MSG_ERROR_REQUESTMETHOD = "请求方式错误(只支持POST方式请求)";
	
	public static String CODE_ERROR_PARAMETER = "101";
	public static String MSG_ERROR_PARAMETER = "参数不正确(格式不正确或必填参数为空)";
	
	public static String CODE_ERROR_CITYCODE = "102";
	public static String MSG_ERROR_CITYCODE = "城市区域代码错误";
	
	public static String CODE_NOT_SIGNED = "103";
	public static String MSG_NOT_SIGNED = "尚未登录或者登录已过期";
	
	public static String CODE_DATA_EXISTED = "106";
	public static String MSG_DATA_EXISTED = "企业已备案，请勿重复备案";
	
	public static String CODE_ERROR_USERNAMEORPASSWD = "107";
	public static String MSG_ERROR_USERNAMEORPASSWD = "用户名或密码错误";
	
	public static String CODE_USER_LOGGEDOFF = "108";
	public static String MSG_USER_LOGGEDOFF = "用户已注销";
	
	public static String CODE_PERMISSION_NO = "109";
	public static String MSG_PERMISSION_NO = "权限不足，请联系管理员";
	
	public static String CODE_DATA_NOTMEET = "201";
	public static String MSG_DATA_NOTMEET = "数据不符合业务处理要求";
	
	public static String CODE_SYS_EXCEPTION = "500";
	public static String MSG_SYS_EXCEPTION = "系统异常，请联系接口提供方";
	
	/*****************************************************************************/

}
