#!/bin/bash

src_dir=${src_dir!}
des_dir=${des_dir!}
source_convert=${source_convert!}
sink_convert=${sink_convert!}
file_suffix=${file_suffix!}

# 获取 src_dir 下所有文件为 file_suffix 的文件
cd ${src_dir}

filename=`ls -l | grep ^- | awk '{print $9}' | grep .${file_suffix}`
echo ${filename}

# 获取当前系统时间
time=`date +%Y-%m-%d_%H:%M:%S`

for file in ${filename}
do 
  echo "正在转码的文件是: ${file}"
  mkdir -p ${des_dir}/${time}
  iconv -f ${source_convert} -t ${sink_convert} $src_dir/${file} -o ${des_dir}/${time}/${file}
done